%global pkgname monkeysign

Name:           %{pkgname}
Version:        1.1
Release:        1.git.0.f26e09f%{?dist}
Summary:        OpenPGP key signing and exchange for humans

License:        GPL3
URL:            http://web.monkeysphere.info/monkeysign
Source0:        http://ftp.de.debian.org/debian/pool/main/m/monkeysign/monkeysign_%{version}.tar.gz

BuildRequires:  python-qrencode
BuildRequires:  python-qrcode
BuildRequires:  pygtk2
BuildRequires:  zbar-pygtk
Requires:       python-qrencode
Requires:       python-qrcode
Requires:       pygtk2
Requires:       zbar-pygtk

%description
monkeysign is a tool to overhaul the OpenPGP keysigning experience and bring it closer to something that most primates can understand.

The project makes use of cheap digital cameras and the type of bar code known as a QRcode to provide a human-friendly yet still-secure keysigning experience.

No more reciting tedious strings of hexadecimal characters. And, you can build a little rogue's gallery of the people that you have met and exchanged keys with! 

%prep
%setup -q -n %{pkgname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
# in lieue of a real test suite
for m in $(find monkeysign -name '*.py' \
    | grep -v __init__ \
    | grep -v gtkui \
    | sort \
    | sed -e 's|/|.|g' \
    | sed -e 's|.py$||g');
do
    %{__python} -c "import $m"
done


%files
%{python_sitearch}/*
%{bindir}/*


%changelog
* Mon Jun 09 2014 mh <mh@immerda.ch> 1.1-1
- new package built with tito

* Mon Jun 09 2014 mh <mh+fedora@immerda.ch> - 1.1-1
- Initial package
